# Simple many2one widget

This module adds a new widget to many2one fields that allows to link records without any extra features (no autocomplete and no partial search).

- Preview

Table of contents

- Configuration
  - Attributes:
  - Options:
- Usage
  - Example:
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

## Attributes:

- regex [String]: Defines the regex to test the search criteria
- can_create [Boolean]: Allow create new records
- can_write [Boolean]: Allow edit the linked record

## Options:

- search [Dictionary] * field: The field to use in the search process [Default is ‘id’] * oper: The operator (like, ilike, etc…) [Default is ‘=’]
- no_create: Invalidates the ‘can_create’ flag
- no_write: Invalidates the ‘can_write’ flag
- no_open: Disables open the linked record

# Usage

You need to declare the usage of the new widget as follows: `<field name="xxx" widget="many2one_simple" options="...">`

If you have a database with demo data, you can test this widget following these instructions:

1. Go to Contacts.
2. Create or edit a record.
3. Set “Industry” field (in Sales & Purchase tab).
4. Only if you set the correct industry name (“Administrative” for example), it will be defined. Otherwise, it will try to create one with that name.

## Example:

    <field name="partner_id" widget="many2one_simple" regex="^1\d*" options="{&quot;search&quot;: { &quot;field&quot;: &quot;name&quot;, &quot;oper&quot;: &quot;ilike&quot; }}"/

** Only allows search by id’s that starts with ‘1’ …

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:
  - Alexandre D. Díaz
- Foram Shah <foram.shah@initos.com>
- Thanakrit Pintana <thanakrit.p39@gmail.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.